Import Bench
curl --request POST \
--url https://sandbox.hurdlr.com/rest/v5/imports/bench \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.hurdlr.com/rest/v5/imports/bench"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.hurdlr.com/rest/v5/imports/bench', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": "SUCCESS",
"errors": {
"fieldErrors": {},
"globalErrors": [
{
"type": "DUPLICATE",
"errorMessage": "<string>"
}
]
},
"id": "<string>",
"webhook": {
"userId": "<string>",
"accountantUserId": "<string>",
"type": "ENTITY_UPDATE"
},
"glAccountMapping": [
{
"importType": "<string>",
"importName": "<string>",
"glAccountId": 123,
"importAccountNo": "<string>"
}
]
}Imports
Import Bench
Import historical Bench data to populate the authenticated user’s account
POST
/
v5
/
imports
/
bench
Import Bench
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Exported "General Ledger" from Bench
Response
200 - application/json
Successful operation
The result of the action performed
Available options:
SUCCESS, FAILURE Error object containing details errors incurred, if any
Show child attributes
Show child attributes
Id of the entity being acted upon
Show child attributes
Show child attributes
List of mappings from the imported account to its associated Tight GL account. If the Tight glAccountId is null, the imported account will need to be mapped to a Tight account
Show child attributes
Show child attributes